function [ img pocet files] = img_load (path, file_type)
% Funkcia nacita subory daneho typu a ulozi ich do premennej 
% ktora je vystupom funkcie

    files_temp = dir(path);   %nacitanie suborov

    j = 1;
   
    for i=1:(size(files_temp,1))
        if files_temp(i).isdir ~= true
	        fname = files_temp(i).name;
            if strcmp( fname(size(fname,2)-3:size(fname,2)) ,file_type  ) == 1
                files(j,1) = files_temp(i);
                j = j+1;
            end
        end
        
    end
    
    
    
    % zistenie poctu suborov
    pocet = size(files,1); 
    size_img = size(imread([path,'\',files(1).name])); %zistenie velkosti obrazov
    
    %vytvorenie prazdnej 3D matice o z = pocet suborov
    img = zeros(size_img(1), size_img(2), pocet,'uint8'); 
    clear size_img;

        
    for i=1:pocet   %cyklus pre nacitanie suborov do premennej

        imread([path,'\',files(i).name]);
        img(:,:,i) = ans(:,:,1);
        clear ans;
  
    end
    
end